#ifndef CONTROLPOWERMANUAL_H
#define CONTROLPOWERMANUAL_H

#include <QWidget>
#include <wDevicesManager/ledcard.h>
#include <communication/hpptclient.h>
#include <LoUIClass/loemptydialog.h>
namespace Ui {
class ControlPowerManual;
}

class ControlPowerManual : public QWidget
{
    Q_OBJECT

public:
    explicit ControlPowerManual(QWidget *parent = nullptr,QList<LedCard *> *m_pLedlist=nullptr);
    ~ControlPowerManual();
protected slots:
    void onPowerChecked(bool b);
    void OnReadback();
    void refreshLable();
private:
    Ui::ControlPowerManual *ui;

  //类似的控制操作信号和槽函数和变量定义
  signals:
      void sigSend(QJsonObject &,QString);
  protected slots:
      void DeletePostingDlg();
      void OnProHttpResponse(QString url, QString postMD5, QByteArray data);
      void OnProHttpResponseAll(QString url, QString postMD5, QByteArray data);
      void onSelectedDeviceList(QList<LedCard*> *);
      void onReadbackAllThisPage();
      void OnControlTypeSwitchIndexChanged(int index);
  private:
      QList<LedCard *> *m_pLedlist=nullptr;
      LedCard   *m_pLedCard = nullptr;
      LedCard   *m_oldLedlist = nullptr;
      HpptClient *pHpptClient = nullptr;
      HpptClient *pHpptClientAll = nullptr;
      QString m_strUrl="";
      LoEmptyDialog * m_PostingDlg=nullptr;
      QTimer *m_pGetAskTimer=nullptr;
      bool m_bSelected=false;
};

#endif // CONTROLPOWERMANUAL_H
